# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/11/3
import difflib

from main.feishu_lib import Feishu


class Demo:
    @classmethod
    def get_sheet(cls, log_type, crawler, sheetid):
        sheet = Feishu.get_values_batch(log_type, crawler, sheetid)
        print(sheet)

    @classmethod
    def title_like(cls, log_type, title):
        sheet = Feishu.get_values_batch(log_type, 'zmyx', '19c772')
        for i in range(1, len(sheet)):
            video_title = sheet[i][7]
            if video_title is None:
                pass
            elif difflib.SequenceMatcher(None, title, video_title).quick_ratio() >= 0.8:
                return True
            else:
                pass


if __name__ == '__main__':
    # Demo.get_sheet('recommend', 'zmyx', '19c772')
    print(Demo.title_like('recommend', '这个老大爷太惨了'))
    pass
